Manuel PHP
Précédent |  | Suivant

# PDOStatement::bindValue

(no version information, might be only in CVS)

PDOStatement::bindValue -- Associe une valeur à un paramètre

## Description

bool PDOStatement::bindValue ( mixed parameter, mixed value [, int data_type] )

Associe une valeur à un nom correspondant ou à un point d'interrogation (comme paramètre fictif) dans la requête SQL qui fut utilisée pour préparer la requête.

## Liste de paramètres

parameter

  Identifiant du paramètre. Pour une requête préparée utilisant les marqueurs, cela sera un nom de paramètre de la forme :nom. Pour une requête préparée utilisant les points d'interrogation (comme paramètre fictif), cela sera un tableau indexé numériquement qui commence à la position 1 du paramètre.

value

  La valeur à associer au paramètre.

data_type

  Type de données explicite pour le paramètre utilisant les constantes PDO::PARAM_*.

## Exemples

Exemple 1. Exécute une requête préparée avec des marqueurs nommés

`<?php /* Exécute une requête préparée en associant des variables PHP */ $calories = 150; $couleur = 'rouge'; $sth = $dbh->prepare('SELECT nom, couleur, calories FROM fruit WHERE calories < :calories AND couleur = :couleur'); $sth->bindValue(':calories', $calories, PDO::PARAM_INT); $sth->bindValue(':couleur', $couleur, PDO::PARAM_STR); $sth->execute(); ?>`

Exemple 2. Exécute une requête préparée avec des points d'interrogation comme paramètre fictif

`<?php /* Exécute une requête préparée en associant des variables PHP */ $calories = 150; $couleur = 'rouge'; $sth = $dbh->prepare('SELECT nom, couleur, calories FROM fruit WHERE calories < ? AND couleur = ?'); $sth->bindValue(1, $calories, PDO::PARAM_INT); $sth->bindValue(2, $couleur, PDO::PARAM_STR); $sth->execute(); ?>`

## Voir aussi

PDO::prepare()
PDOStatement::execute()
PDOStatement::bindParam()

Précédent | Sommaire | Suivant
PDOStatement::bindParam | Niveau supérieur | PDOStatement::closeCursor